Subject: What’s new on peptideprice: payment filters and sterility testing tiers
From: Derek from Research Radar <[email-masked]>
To: [email-masked]
Date: Sun, 10 May 2026 22:08:49 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/whats-new-on-peptideprice-payment

A weekend of updates to make vendor comparison faster and more accurate.
Spent this weekend pushing a round of updates to peptideprice.store [ https://substack.com/redirect/f76f57e4-54d0-49b1-9ca5-4e6208a623c9?j=eyJ1IjoiNGl3b2U2In0.sVDxRtmZ85v8kfdamY0krRXGMy3p768BWtuZifRB-Zs ]. Two big additions worth walking through — one that should save you real money, and one that should make the testing score actually mean what you think it means.
If you’d rather watch than read, here’s a quick demo: 
Payment options are now first-class
Until this weekend, payment methods lived on a separate page and didn’t influence pricing at all. That’s changed.
I logged into all ~30 retailers on the site to pull the most current payment info, and here’s what shipped:
New credit card icon next to every price. Click it and you’ll see every payment method that retailer accepts, any discount or fee tied to each one, and any special instructions (Zelle memos, payment windows, etc.).
New payment filter in Advanced Filters. Pick the methods you actually want to use and the tool shows you retailers that accept any of them.
Payment discounts now factor into the displayed price automatically. If you filter for Zelle and a retailer offers 10% off for Zelle, that discount gets applied on top of any sale already running. A small green chip under the price tells you what got applied so you can see exactly what’s stacking.
The /source-info page now has a payment column. The number shows how many methods that retailer accepts, and a star means at least one of those methods gets you a discount.
I’m committing to weekly payment updates for now. Payment processing in this space changes fast — sometimes within minutes — so weekly is the floor. I’ll bump that frequency over time.
Sterility vs PCR vs bioburden — finally split out
This one’s been a long time coming. The testing score was lumping three pretty different tests into one bucket, and that wasn’t fair to the retailers paying for the gold-standard test or honest with you about what you were actually seeing.
The three tests are not interchangeable:
Sterility (14 Day USP) — USP 71. This is the gold standard. Two-week growth test. Worth a full point in the testing score.
Sterility (PCR / rapid) — DNA-based, hours instead of weeks. Newer technology, but still a real sterility check. Worth half a point.
Bioburden (5 Day) — USP 61. This is not a sterility test. It counts microbes but doesn’t prove sterility. Worth half a point.
The filters now treat each one separately, so if you only want vendors running full 14-day USP sterility testing, you can filter for exactly that.
A quick note on how the filters behave:
Pick more than one testing box and the tool only shows retailers that do all of them.
Pick more than one payment method and the tool shows retailers that accept any of them.
The 🧪 X/7 badge still covers the same seven testing categories: Net Content, Net Purity, ID, Endotoxins, Sterility/Bioburden, Heavy Metals, and Conformity.
Go test it out
Both features are live right now at peptideprice.store [ https://substack.com/redirect/f76f57e4-54d0-49b1-9ca5-4e6208a623c9?j=eyJ1IjoiNGl3b2U2In0.sVDxRtmZ85v8kfdamY0krRXGMy3p768BWtuZifRB-Zs ]. There are 17 sales running as of this morning, so it’s a good time to poke around and see how the payment filter changes which deals actually come out cheapest for you.
As always, everything on the site is for research purposes only.
— Derek

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVOekUwT1RjNU15d2lhV0YwSWpveE56YzRORFV4TURFeUxDSmxlSEFpT2pFNE1EazVPRGN3TVRJc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LjBrakI5bXBBT1BxN1BpcXhWUkI0cGZJY2sxTDBRc3Y3anAwd2tpS1lOOEUiLCJwIjoxOTcxNDk3OTMsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc4NDUxMDEyLCJleHAiOjIwOTQwMjcwMTIsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.iiwWrdKNW0Khk68fHTVyAFm1lXzlQeKCJEXu5WpnP98?